locator {base} | R Documentation

## Graphical Input

### Description

Reads the position of the graphics cursor when the (first) mouse button is pressed.

### Usage

    locator(n = 512, type = "n", ...)

### Arguments

`n` | the maximum number of points to locate.
`type` | One of `"n"`, `"p"`, `"l"` or `"o"`. If `"p"` or `"o"` the points are plotted; if `"l"` or `"o"` they are joined by lines.
`...` | additional graphics parameters used if `type != "n"` for plotting the locations.

### Details

Unless the process is terminated prematurely by the user (see below) at most `n` positions are determined.

The identification process can be terminated by pressing any mouse button other than the first.

The current graphics parameters apply just as if `plot.default` has been called with the same value of `type`. The plotting of the points and lines is subject to clipping, but locations outside the current clipping rectangle will be returned.

On most devices which support `locator`, successful selection of a point is indicated by a bell sound unless `options(locatorBell=FALSE)` has been set.

If the window is resized or hidden and then exposed before the input process has terminated, any lines or points drawn by `locator` will disappear. These will reappear once the input process has terminated and the window is resized or hidden and exposed again. This is because the points and lines drawn by `locator` are not recorded in the device's display list until the input process has terminated.

### Value

A list containing `x` and `y` components which are the coordinates of the identified points.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`identify`

[Package Contents]